## Initialization and Versions Initialization and Versions — Library version numbers. |

## Functions

#define | GDK_PIXBUF_MAJOR
#define | GDK_PIXBUF_MINOR
#define | GDK_PIXBUF_MICRO

## Types and Values

extern const char * | gdk_pixbuf_version
extern const guint | gdk_pixbuf_major_version
extern const guint | gdk_pixbuf_minor_version
extern const guint | gdk_pixbuf_micro_version
#define | GDK_PIXBUF_VERSION

## Includes

    #include <gdk-pixbuf/gdk-pixbuf.h>

## Description

These macros and variables let you check the version of gdk-pixbuf you're linking against.

## Functions

### GDK_PIXBUF_MAJOR

    #define GDK_PIXBUF_MAJOR (2)

Major version of gdk-pixbuf library, that is the "0" in "0.8.2" for example.

### GDK_PIXBUF_MINOR

    #define GDK_PIXBUF_MINOR (32)

Minor version of gdk-pixbuf library, that is the "8" in "0.8.2" for example.

### GDK_PIXBUF_MICRO

    #define GDK_PIXBUF_MICRO (3)

Micro version of gdk-pixbuf library, that is the "2" in "0.8.2" for example.

## Types and Values

### gdk_pixbuf_version

    extern const char *gdk_pixbuf_version;

Contains the full version of the gdk-pixbuf library as a string. This is the version currently in use by a running program.

### gdk_pixbuf_major_version

    extern const guint gdk_pixbuf_major_version;

The major version number of the gdk-pixbuf library. (e.g. in gdk-pixbuf version 1.2.5 this is 1.)

This variable is in the library, so represents the gdk-pixbuf library you have linked against. Contrast with the GDK_PIXBUF_MAJOR macro, which represents the major version of the gdk-pixbuf headers you have included.

### gdk_pixbuf_minor_version

    extern const guint gdk_pixbuf_minor_version;

The minor version number of the gdk-pixbuf library. (e.g. in gdk-pixbuf version 1.2.5 this is 2.)

This variable is in the library, so represents the gdk-pixbuf library you have linked against. Contrast with the GDK_PIXBUF_MINOR macro, which represents the minor version of the gdk-pixbuf headers you have included.

### gdk_pixbuf_micro_version

    extern const guint gdk_pixbuf_micro_version;

The micro version number of the gdk-pixbuf library. (e.g. in gdk-pixbuf version 1.2.5 this is 5.)

This variable is in the library, so represents the gdk-pixbuf library you have linked against. Contrast with the GDK_PIXBUF_MICRO macro, which represents the micro version of the gdk-pixbuf headers you have included.

### GDK_PIXBUF_VERSION

    #define GDK_PIXBUF_VERSION "2.32.3"

Contains the full version of the gdk-pixbuf header as a string. This is the version being compiled against; contrast with gdk_pixbuf_version.